<template>
  <div class="log-panel overflow-hidden my-5">
    <div v-html="messageClient" class="alert alert-warning" role="alert" v-if="messageClient">
      {{ messageClient }}
    </div>
    <form v-if="!formSubmitedIsOK">
      <p>Saisissez vos coordonnées téléphoniques, le jour, et l'horaire que vous souhaitez afin que nous vous contactions.</p>
      <div :class="champ.groupClass" v-for="champ in formCallback" :key="champ.index">
        <label :for="champ.id" :class="champ.labelClass">{{ champ.libelle }}<span v-if="champ.required"> *</span></label> <span v-if="champ.error != ''">{{ champ.error }}</span>
        <input v-if="champ.type !== 'select'" :type="champ.type" :ref="champ.id" :class="champ.inputClass" :id="champ.id" :placeholder="champ.placeHolder" v-model="champ.value" />
        <select v-if="champ.type == 'select'" :class="champ.inputClass" :id="champ.id" :ref="champ.id" v-model="champ.value">
          <option value="">Choisir une heure de rappel</option>
          <option v-for="n in getNumbers(7, 23)" :value="n + 'H00'" :key="n">{{ n }}H00</option>
        </select>
      </div>
      <button type="button" class="btn btn-warning" @click="submitForm()">Envoyer</button>
    </form>
  </div>
</template>
<script src="./functions.js"></script>
